Skip to main content

Get Output Status

Retrieve the status of an output connector.

Path Parameters
pipeline_name string REQUIRED

Unique pipeline name

view_name string REQUIRED

SQL view name

connector_name string REQUIRED

Output connector name

Responses
200

Output connector status retrieved successfully

Schema OPTIONAL
config object

Schema definition for endpoint config that only includes the stream field.

stream string

The name of the stream.

encode_errors object[] OPTIONAL

Recent encoding errors on this endpoint.

index int64

Sequence number of the error.

The client can use this field to detect gaps in the error list reported by the pipeline. When the connector reports a large number of errors, the pipeline will only preserve and report the most recent errors of each kind.

message string

Error message.

tag string OPTIONAL

Optional tag for the error.

The tag is used to group errors by their type.

timestamp date-time

Timestamp when the error occurred, serialized as RFC3339 with microseconds.

endpoint_name string

Endpoint name.

fatal_error string OPTIONAL

The first fatal error that occurred at the endpoint.

health object OPTIONAL
description string OPTIONAL
status string

Possible values: [Healthy, Unhealthy]

metrics object

Performance metrics for an output endpoint.

buffered_batches int64

Number of batches in the buffer.

buffered_records int64

Number of records pushed to the output buffer.

memory int64

Extra memory in use beyond that used for queuing records.

num_encode_errors int64

Number of encoding errors.

num_transport_errors int64

Number of transport errors.

queued_batches int64

Number of queued batches.

queued_records int64

Number of queued records.

total_processed_input_records int64

The number of input records processed by the circuit.

This metric tracks the end-to-end progress of the pipeline: the output of this endpoint is equal to the output of the circuit after processing total_processed_input_records records.

In a multihost pipeline, this count reflects only the input records processed on the same host as the output endpoint, which is not usually meaningful.

total_processed_steps int64

The number of steps whose input records have been processed by the endpoint.

This is meaningful in a multihost pipeline because steps are synchronized across all of the hosts.

Interpretation

This is a count, not a step number. If total_processed_steps is 0, no steps have been processed to completion. If total_processed_steps > 0, then the last step whose input records have been processed to completion is total_processed_steps - 1. A record that was ingested in step n is fully processed when total_processed_steps > n.

transmitted_bytes int64

Bytes sent on the underlying transport.

transmitted_records int64

Records sent on the underlying transport.

transport_errors object[] OPTIONAL

Recent transport errors on this endpoint.

index int64

Sequence number of the error.

The client can use this field to detect gaps in the error list reported by the pipeline. When the connector reports a large number of errors, the pipeline will only preserve and report the most recent errors of each kind.

message string

Error message.

tag string OPTIONAL

Optional tag for the error.

The tag is used to group errors by their type.

timestamp date-time

Timestamp when the error occurred, serialized as RFC3339 with microseconds.

404

Pipeline, view and/or output connector with that name does not exist

Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

500
Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

503
Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.